function obj = CompObj(Slist, Xlist, Ylist, lambda, beta)

k = numel(Slist);
p = size(Slist{1},1);

obj = 0.0;
for r=1:k
	XX = Xlist{r} + Ylist{r};
	SS = chol(XX);
	obj = obj - sum(log(diag(SS)))*2;
	obj = obj + trace(Slist{r}*XX);
end

for r=1:k
	obj = obj + lambda*sum(sum(abs(Xlist{r})));
end

for i=1:p
	for j=1:p
		aa = 0;
		for r=1:k
			aa = aa + Ylist{r}(i,j)^2;
		end
		obj = obj + sqrt(aa)*beta;
	end
end

