randn('seed',0);
p = 100;
[Sigma Q G] =  getChain(p,0.5);
k = 5;
n = 20;
for r=1:k
	X=mvnrnd(zeros(p,1),Sigma,n);
	mu = sum(X)/n;
	Xn = X-repmat(mu,n,1);
	Slist{r} = Xn'*Xn/n;
end

[Xlist Ylist objlist timelist]  = QUICmixed(Slist, 0.5, 0.8, 10,1);
