function obj = CompObj(Sigma, S, L, alpha, beta)

SL = S-L;
[R pp] = chol(SL);
if ( pp ~= 0)
	obj = inf;
else
obj = -2*sum(log(diag(R))) + sum(sum(Sigma.*SL)) + alpha*sum(sum(abs(S))) + beta*sum(diag(L));
end
